# Uses of Class
org.apache.lucene.codecs.uniformsplit.TermBytes

Packages that use TermBytes
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.
org.apache.lucene.codecs.uniformsplit.sharedterms
Pluggable term index / block terms dictionary implementations.

- ## Uses of TermBytes in org.apache.lucene.codecs.uniformsplit

  Fields in org.apache.lucene.codecs.uniformsplit declared as TermBytes
  Modifier and Type
  Field
  Description
  `protected TermBytes`
  BlockLine.`termBytes`
  Methods in org.apache.lucene.codecs.uniformsplit that return TermBytes
  Modifier and Type
  Method
  Description
  `TermBytes`
  BlockLine.`getTermBytes()`
  `protected TermBytes`
  BlockLine.Serializer.`readIncrementallyEncodedTerm(DataInput blockInput, boolean isIncrementalEncodingSeed, TermBytes reuse)`
  `TermBytes`
  TermBytes.`reset(int mdpLength, BytesRef term)`
  Methods in org.apache.lucene.codecs.uniformsplit with parameters of type TermBytes
  Modifier and Type
  Method
  Description
  `protected TermBytes`
  BlockLine.Serializer.`readIncrementallyEncodedTerm(DataInput blockInput, boolean isIncrementalEncodingSeed, TermBytes reuse)`
  `protected BlockLine`
  BlockLine.`reset(TermBytes termBytes, int termStateRelativeOffset)`
  Resets this `BlockLine` to reuse it when reading.
  `protected void`
  BlockLine.Serializer.`writeIncrementallyEncodedTerm(TermBytes termBytes, TermBytes previousTermBytes, boolean isIncrementalEncodingSeed, DataOutput blockOutput)`
  Constructors in org.apache.lucene.codecs.uniformsplit with parameters of type TermBytes
  Modifier
  Constructor
  Description
  `protected`
  `BlockLine(TermBytes termBytes, int termStateRelativeOffset)`
  Constructor used for reading a `BlockLine`.
  `protected`
  `BlockLine(TermBytes termBytes, BlockTermState termState)`
  Constructor used for writing a `BlockLine`.

- ## Uses of TermBytes in org.apache.lucene.codecs.uniformsplit.sharedterms

  Constructors in org.apache.lucene.codecs.uniformsplit.sharedterms with parameters of type TermBytes
  Modifier
  Constructor
  Description
  ``
  `STBlockLine(TermBytes termBytes, List<FieldMetadataTermState> termStates)`